/***************************************************************************
Name: JSView
Version: 1.4
Description: Allows you to view the source code of external js and css files
Author: Ron Beckman
Homepage: http://forum.softwareblaze.com
Email: scorpiondb@scorpiondb.com

Copyright (C) 2005  Ron Beckman

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

Free Software Foundation, Inc.
51 Franklin Street
Fifth Floor
Boston, MA  02110-1301
USA
***************************************************************************/



window.addEventListener('unload',objRefExit,false);

function objRefExit() {
	jsvObjRef.exit();
}



parent.window.onkeydown = function(ev) {
	if (ev.which==13) {
		var obj = parent.frames[0].document.getElementById('jsobject').value;
		parent.frames[0].window.location.href = 'jsviewObjRef.htm?' + escape(obj);
	}

	if (ev.which==27 || ev.which==13) {
		return false;
	}
}

var jsvObjRef = {

	parentObj: 'top.frames[1]',

	goBack: function() {
		parent.frames[0].window.location.href = 'jsviewObjRef.htm?' + escape(this.parentObj);
	},

	getPrefs: function() {
		return Components.classes["@mozilla.org/preferences-service;1"].
		getService(Components.interfaces.nsIPrefService).
		getBranch("jsview.");
	},

	getSt: function(name) {
		return document.getElementById("jsview-bundle").getString(name);
	},

	init: function() {
		var prefs = this.getPrefs();
		var size = prefs.getCharPref('objRefSize').split('||');
		window.outerHeight = size[0];
		window.outerWidth = size[1];

		var item = document.getElementById((size[2]=='false') ? 'jsview-item-no' : 'jsview-item-yes');
		document.getElementById('jsview-list').selectedItem = item;
		if (size[2]=='true') this.jsviewHideFrame('yes');

		//copy the current webpage
		parent.frames[1].window.location.href = window.arguments[1];

		var obj = window.arguments[0];
		parent.frames[0].window.location.href = 'jsviewObjRef.htm?' + escape(obj);
	},

	exit: function() {
		var prefs = this.getPrefs();
		var menu = document.getElementById('jsview-list');
		var hide = (menu.selectedIndex==0) ? 'false' : 'true';
		var size = window.outerHeight+'||'+window.outerWidth+'||'+hide;
		prefs.setCharPref('objRefSize',size);
	},

	jsviewHideFrame: function(arg) {
		var frame = document.getElementById('currentPage');
		if (arg=='yes') {
			frame.removeAttribute('flex');
			frame.setAttribute('style','visibility:hidden; width:0px; height:0px;');
		} else {
			frame.setAttribute('flex','1');
			frame.setAttribute('style','visibility:visible;');
		}
	}
};